function getQueryString(name) {
	if (window.query && window.query[name]) return window.query[name];
	var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)");
	var r = decodeURI(window.location.search).substr(1).match(reg);
	if (r != null) return unescape(r[2]);
	return null;
}

//#region manage by program
// eslint-disable-next-line prettier/prettier
var apps=[{"id":1,"cid":6,"name":"证照拍","pkg":"com.haidong.chengdu.AlmightyIDPhoto","privacies":["0","1.1.0"],"agreements":["0"]},{"id":2,"cid":7,"name":"捷速录音转文字","pkg":"com.fengsu.voicetranscribe","privacies":["0","1.3.0"],"agreements":["0"]},{"id":3,"cid":2,"name":"一键抠图","pkg":"com.shuojie.easyphoto","qiyu_appid":"9f6be7423510fa866bf322613deaf43d","qiyu_robot_id":170049,"qiyu_group_id":264295913,"qiyu_question_id":4484264,"privacies":["1.0.0.0","1.2.0.0","1.3.0.0","1.7.0.0","5.2.1.1","5.6.0.0","5.6.3.0","5.6.4.0"],"agreements":["0","1.2.0.0"]},{"id":4,"cid":3,"name":"手机录屏助手","pkg":"com.hudun.androidhudunvideo","qiyu_appid":"9f6be7423510fa866bf322613deaf43d","qiyu_robot_id":170049,"qiyu_group_id":264295913,"qiyu_question_id":4486231,"privacies":["2.2.3","2.2.9","2.5.0"],"agreements":["1.0.0"]},{"id":5,"cid":4,"name":"极速数据恢复","pkg":"cn.hd.fast.datarecovery","qiyu_appid":"ab6cc4595e1e0dc5aa84c4de7b0ec28b","qiyu_robot_id":1153941,"qiyu_group_id":948471,"qiyu_question_id":39107,"privacies":["1.6.4"],"agreements":["0"]},{"id":6,"name":"手机数据恢复精灵","pkg":"cn.hundun.datarecovery","qiyu_appid":"ab6cc4595e1e0dc5aa84c4de7b0ec28b","qiyu_robot_id":1153941,"qiyu_group_id":948471,"qiyu_question_id":39107,"privacies":["0","10.1.0","10.1.2"],"agreements":["0"]},{"id":7,"name":"去玩相册","pkg":"com.hudun.qwalbum","privacies":["0","1.0.0","1.0.5","1.2.0","1.2.6","1.4.0.0","1.5.0","1.7.0.0","2.0.1.0"],"agreements":["0","1.4.0.0"]},{"id":8,"cid":3,"name":"去玩相册","pkg":"com.dongqi.qwalbum","privacy_pid":7,"agreement_pid":7,"qiyu_appid":"9f6be7423510fa866bf322613deaf43d","qiyu_robot_id":170049,"qiyu_group_id":264295913,"qiyu_question_id":4488026},{"id":9,"cid":1,"name":"迅捷视频转换器","pkg":"com.hudun.androidvideochanger","qiyu_appid":"9f6be7423510fa866bf322613deaf43d","qiyu_robot_id":170049,"qiyu_group_id":264295913,"qiyu_question_id":4486075,"privacies":["0","1.1.8","1.2.0","2.0.0","2.2.0","2.3.0","2.6.8","3.0.0","3.2.0"],"agreements":["0.0.1"]},{"id":10,"cid":1,"name":"迅捷CAD转换器","pkg":"com.hudun.cadconvert","qiyu_appid":"9f6be7423510fa866bf322613deaf43d","qiyu_robot_id":170049,"qiyu_group_id":1049844,"qiyu_question_id":1209046,"privacies":["0","1.0.6","1.1.0","1.2.0.0","1.5.0.0"],"agreements":["0","1.5.0.0"]},{"id":11,"name":"语音翻译器","pkg":"com.hudun.voicecovert","qiyu_appid":"9f6be7423510fa866bf322613deaf43d","qiyu_robot_id":170049,"qiyu_group_id":1049844,"qiyu_question_id":4484231,"privacies":["0","1.1.8","2.0.0"]},{"id":12,"name":"迅捷论文查重","pkg":"com.hudun.paper","qiyu_appid":"9f6be7423510fa866bf322613deaf43d","qiyu_robot_id":170049,"qiyu_group_id":1049844,"qiyu_question_id":4486218,"privacies":["0","1.3.3","1.3.8"]},{"id":13,"cid":2,"name":"一键视频","pkg":"com.hudun.oneclickvideo","qiyu_appid":"9f6be7423510fa866bf322613deaf43d","qiyu_robot_id":170049,"qiyu_group_id":264295913,"qiyu_question_id":4485219,"privacies":["0","2.7.1","2.7.4","2.7.5","3.0.0.0","3.1.1.0"],"agreements":["1.0.0.0"]},{"id":14,"cid":2,"name":"Logo设计软件","pkg":"cn.hudun.androidlogodesign","qiyu_appid":"9f6be7423510fa866bf322613deaf43d","qiyu_robot_id":170049,"qiyu_group_id":1049844,"qiyu_question_id":4485209,"privacies":["0","1.4.9","2.0.0.0","2.6.0.0","3.6.1.0"],"agreements":["1.0.0"]},{"id":15,"cid":1,"name":"文字转语音助手","pkg":"com.hudun.androidtexttospeech","qiyu_appid":"9f6be7423510fa866bf322613deaf43d","qiyu_robot_id":170049,"qiyu_group_id":1049844,"qiyu_question_id":4486243,"privacies":["0","2.0.2","3.0.0","4.0.0.0","4.1.0.0","4.2.3.0","4.5.0.0"],"agreements":["3.0.0","4.0.0.0"]},{"id":16,"cid":3,"name":"录音转文字助手","pkg":"com.hudun.androidrecorder","qiyu_appid":"9f6be7423510fa866bf322613deaf43d","qiyu_robot_id":170049,"qiyu_group_id":1049844,"qiyu_question_id":4484066,"privacies":["0","5.2.1","5.2.2","5.3.1","5.9.2","6.3.1","7.2.1","7.2.2","7.3.0","7.4.1","7.5.0","7.5.1","7.5.3"],"agreements":["1.0.0"]},{"id":17,"cid":1,"name":"清爽视频编辑","pkg":"com.hudun.videoedit","qiyu_appid":"9f6be7423510fa866bf322613deaf43d","qiyu_robot_id":170049,"qiyu_group_id":264295913,"qiyu_question_id":44883144,"privacies":["0","5.1.1","5.3.0","5.9.5","6.3.0","6.4.4","6.5.3","6.5.5","7.0.0","7.2.0","9.9.0"],"agreements":["1.0.0"]},{"id":18,"cid":1,"name":"扫描超人","pkg":"com.hudun.scannerman","qiyu_appid":"9f6be7423510fa866bf322613deaf43d","qiyu_robot_id":170049,"qiyu_group_id":1049844,"qiyu_question_id":4487140,"privacies":["0","2.5.1"]},{"id":19,"cid":1,"name":"迅捷PDF转换器","pkg":"com.hudun.androidpdfchanger","qiyu_appid":"9f6be7423510fa866bf322613deaf43d","qiyu_robot_id":170049,"qiyu_group_id":1049844,"qiyu_question_id":4485148,"privacies":["0","5.5.0","5.5.5","6.1.1.0","6.11.0.0","6.3.0.0"],"agreements":["1.0.0"]},{"id":21,"cid":1,"name":"迅捷录屏大师","pkg":"com.hudun.recorder","qiyu_appid":"9f6be7423510fa866bf322613deaf43d","qiyu_robot_id":170049,"qiyu_group_id":264295913,"qiyu_question_id":4483145,"privacies":["0","3.2.4","3.2.5","3.3.1","5.0.1.0","5.1.0.0","5.1.1.0","5.3.0.0","5.4.0.0","5.7.0.0","5.8.0.0","6.1.0.0"],"agreements":["0"]},{"id":22,"cid":1,"name":"迅捷视频剪辑","pkg":"com.fresh.light","qiyu_appid":"9f6be7423510fa866bf322613deaf43d","qiyu_robot_id":170049,"qiyu_group_id":264295913,"qiyu_question_id":4486076,"privacies":["2.5.1","2.6.3","3.0.0","3.1.1","3.3.1"],"agreements":["0"]},{"id":23,"cid":1,"name":"迅捷文字识别","pkg":"com.hudun.androidimageocr","qiyu_appid":"9f6be7423510fa866bf322613deaf43d","qiyu_robot_id":170049,"qiyu_group_id":1049844,"qiyu_question_id":4487087,"privacies":["0","5.2.20","5.3.00","5.5.00","6.0.0.0","6.11.0.0","6.11.1.0","6.2.1.0","6.4.0.0","6.7.0.0","6.9.0.0"],"agreements":["1.0.0"]},{"id":24,"cid":1,"name":"快投屏TV版","pkg":"com.hudun.aircast.tv","privacies":["1.5.13","2.0.0.0","2.3.1.0"],"agreements":["1.0.0"]},{"id":25,"cid":1,"name":"快投屏","pkg":"com.hudun.aircast","qiyu_appid":"9f6be7423510fa866bf322613deaf43d","qiyu_robot_id":170049,"qiyu_group_id":264295913,"qiyu_question_id":4485065,"privacies":["0","1.5.18","1.5.19","2.0.0.0","2.1.1.0","2.2.1.0","2.3.0.0","2.8.0.0","3.2.0.0","3.2.0.1"],"agreements":["0"]},{"id":26,"cid":1,"name":"快投屏","pkg":"com.hudun.aircast.sender","privacy_pid":25,"agreement_pid":25,"qiyu_appid":"9f6be7423510fa866bf322613deaf43d","qiyu_robot_id":170049,"qiyu_group_id":264295913,"qiyu_question_id":4485065},{"id":27,"cid":3,"name":"无痕去水印","pkg":"com.hudun.androidwatermark","qiyu_appid":"9f6be7423510fa866bf322613deaf43d","qiyu_robot_id":170049,"qiyu_group_id":264295913,"qiyu_question_id":4486220,"privacies":["0","2.5.4","3.1.0","3.3.1","3.4.0","3.5.0","3.8.0","3.9.1","4.1.0","4.2.0","4.6.0","4.8.0","4.9.0","4.9.1","5.2.0","5.3.0"],"agreements":["1.0.0"]},{"id":28,"cid":2,"name":"清爽PDF转换器","pkg":"com.hudun.pdfswitchmaster","qiyu_appid":"9f6be7423510fa866bf322613deaf43d","qiyu_robot_id":170049,"qiyu_group_id":1049844,"qiyu_question_id":4485148,"privacies":["0","1.3.0","2.1.0"]},{"id":29,"cid":2,"name":"智能证件照相机","pkg":"cn.hudun.idphoto","qiyu_appid":"9f6be7423510fa866bf322613deaf43d","qiyu_robot_id":170049,"qiyu_group_id":1049844,"qiyu_question_id":4485145,"privacies":["0","3.4.5","3.5.0","3.8.0.0","3.8.1.0","3.9.1.0","3.9.2.0"],"agreements":["0"]},{"id":31,"cid":1,"name":"迅捷思维导图","pkg":"com.hudun.swdt","qiyu_appid":"9f6be7423510fa866bf322613deaf43d","qiyu_robot_id":170049,"qiyu_group_id":1049844,"qiyu_question_id":4486230,"privacies":["1.0.0","1.1.0","1.5.6","1.6.0"],"agreements":["1.0.0"]},{"id":32,"cid":3,"name":"证照拍","pkg":"com.hudun.identificationphoto","privacies":["1.1.0"],"agreements":["1.1.0"]},{"id":33,"cid":3,"name":"证照拍","pkg":"com.dongqi.capture","qiyu_appid":"9f6be7423510fa866bf322613deaf43d","qiyu_robot_id":170049,"qiyu_group_id":1049844,"qiyu_question_id":4488022,"privacies":["1.0.0","1.5.0.0","1.5.1.0","1.6.0.0","1.6.2.0"],"agreements":["1.0.0"]},{"id":34,"cid":2,"name":"音频编辑转换器","pkg":"com.shuojie.audioeditor","qiyu_appid":"9f6be7423510fa866bf322613deaf43d","qiyu_robot_id":170049,"qiyu_group_id":264295913,"qiyu_question_id":4486282,"privacies":["1.0.0","1.1.0","1.9.0","1.9.2"],"agreements":["1.0.0","1.1.0"]},{"id":35,"cid":3,"name":"清爽视频编辑器","pkg":"com.hdgame.xjvideoeditor","privacies":["5.7.0"],"agreements":["0.0.1"]},{"id":36,"cid":8,"name":"指尖文字识别","pkg":"com.leopard.photodistinguish","privacies":["1.3.0"],"agreements":["0.0.1"]},{"id":37,"cid":4,"name":"指尖PDF转换器","pkg":"com.weidou.speedconverter","privacies":["1.9.0"],"agreements":["0.0.1"]},{"id":38,"cid":10,"name":"迅捷录屏大师","pkg":"com.yanyan.RecordScreenAssistant","privacies":["2.11.0"],"agreements":["0.0.1"]},{"id":39,"cid":3,"name":"语音翻译器","pkg":"com.xfcentre.voiceconverter","privacies":["2.2.1"],"agreements":["0.0.1"]},{"id":40,"cid":3,"name":"智能翻译官","pkg":"com.dongqi.intelligenttranslator","qiyu_appid":"9f6be7423510fa866bf322613deaf43d","qiyu_robot_id":170049,"qiyu_group_id":1049844,"qiyu_question_id":4484289,"privacies":["1.0.0.0","1.5.1","2.0.0.0","2.2.0.0","2.5.1.0"],"agreements":["0.0.1"]},{"id":41,"cid":2,"name":"音频编辑转换器","pkg":"com.lijietech.audioeditor","privacies":["1.0.0","1.1.0.0"],"agreements":["1.0.0"]},{"id":42,"cid":3,"name":"无痕去水印","pkg":"pc.whqsy","agreements":["0.0.1"]},{"id":43,"name":"照片视频","pkg":"com.hudun.androidphotovideo","qiyu_appid":"9f6be7423510fa866bf322613deaf43d","qiyu_robot_id":170049,"qiyu_group_id":264295913,"qiyu_question_id":4486219},{"id":44,"name":"OCR图片文字识别","pkg":"com.hudun.androidtxtocr","qiyu_appid":"9f6be7423510fa866bf322613deaf43d","qiyu_robot_id":170049,"qiyu_group_id":1049844,"qiyu_question_id":4487087},{"id":47,"cid":2,"name":"掌上识别王","pkg":"com.shuojie.recognize","qiyu_appid":"9f6be7423510fa866bf322613deaf43d","qiyu_robot_id":170049,"qiyu_group_id":1049844,"qiyu_question_id":4484288,"privacies":["1.0.0.0","1.3.0.0","1.7.0.0","2.1.0.0","2.2.0.0","4.3.0.0"],"agreements":["1.0.0"]},{"id":48,"cid":3,"name":"指尖PDF转换器","pkg":"com.dongqi.fingertippdf","privacies":["1.0.0.0","1.3.0"]},{"id":49,"cid":6,"name":"一键录音","pkg":"com.haidong.audio.conver","qiyu_appid":"9f6be7423510fa866bf322613deaf43d","qiyu_robot_id":170049,"qiyu_group_id":1049844,"qiyu_question_id":4488085,"privacies":["1.0.0","1.1.0","1.2.0"],"agreements":["1.0.0"]},{"id":50,"cid":3,"name":"驾照科目一宝典","pkg":"com.fengsuxinxi.driverlicense","qiyu_appid":"9f6be7423510fa866bf322613deaf43d","qiyu_robot_id":170049,"qiyu_group_id":1049844,"qiyu_question_id":4483277,"privacies":["1.0.0","1.0.3"],"agreements":["1.0.0"]},{"id":52,"cid":2,"name":"极速ZIP解压缩","pkg":"com.shuojie.filecompress","qiyu_appid":"9f6be7423510fa866bf322613deaf43d","qiyu_robot_id":170049,"qiyu_group_id":1049844,"qiyu_question_id":4485277,"privacies":["1.0.0","1.2.0.0"],"agreements":["1.0.0","1.2.0.0"]},{"id":53,"cid":1,"name":"迅捷图片转换器","pkg":"com.hudun.pictureconvert","qiyu_appid":"9f6be7423510fa866bf322613deaf43d","qiyu_robot_id":170049,"qiyu_group_id":1049844,"qiyu_question_id":4483281,"privacies":["1.0.0","2.0.0","2.1.0","3.1.0.0"],"agreements":["1.0.0","2.0.0","3.1.0.0"]},{"id":54,"cid":4,"name":"全能一寸证件照","pkg":"com.weidu.camera","qiyu_appid":"9f6be7423510fa866bf322613deaf43d","qiyu_robot_id":170049,"qiyu_group_id":1049844,"qiyu_question_id":4486287,"privacies":["1.0.0.0","1.2.1.0","1.2.3.0","1.3.0.0","1.3.2.0","1.4.0.0","1.7.2.0"],"agreements":["1.0.0.0"]},{"id":56,"cid":3,"name":"提词全能王","pkg":"com.dongqi.teleprompter","privacies":["1.0.0","2.0.0","2.5.1","2.6.1"],"agreements":["1.0.0","2.0.0"]},{"id":62,"cid":2,"name":"智能修复老照片","pkg":"com.lijie.photorepair","privacies":["1.0.0"],"agreements":["1.0.0"]},{"id":63,"cid":8,"name":"图片转换器","pkg":"com.lingbao.photoconverter"},{"id":64,"cid":6,"name":"一键视频","pkg":"com.haidong.onekeyvideo","privacies":["1.0.0"],"agreements":["1.0.0"]},{"id":65,"cid":8,"name":"智能修复老照片","pkg":"com.lingbao.photorepaint","qiyu_appid":"9f6be7423510fa866bf322613deaf43d","qiyu_robot_id":170049,"qiyu_group_id":1049844,"qiyu_question_id":4488086,"privacies":["1.0.0.0","1.2.0","1.2.2.0","1.5.0.0","1.5.12.0","1.5.8.0"],"agreements":["1.0.0.0","1.2.0"]},{"id":66,"cid":11,"name":"文字转语音助手","pkg":"com.gongfei.texttovoice","privacies":["1.0.0"],"agreements":["1.0.0"]},{"id":67,"cid":8,"name":"一键录音","pkg":"com.lingbao.audiototext","privacies":["1.0.0","1.2.0","1.8.3.0","1.9.0.0","2.3.0.0"],"agreements":["1.0.0"]},{"id":68,"cid":10,"name":"logo设计软件","pkg":"com.yanyan.logodesign","privacies":["1.0.0"],"agreements":["1.0.0"]},{"id":69,"cid":4,"name":"投屏宝","pkg":"com.weidu.nkktp","qiyu_appid":"9f6be7423510fa866bf322613deaf43d","qiyu_robot_id":170049,"qiyu_group_id":264295913,"qiyu_question_id":4488062,"privacies":["1.0.0","1.1.0","1.2.0.0","1.5.0.0","1.5.8.0","1.7.0.0","1.8.0.0","1.9.0.0"],"agreements":["1.0.0","1.8.0"]},{"id":70,"cid":4,"name":"投屏宝","pkg":"pc.tpb","agreements":["0.0.1","1.1.0"]},{"id":71,"cid":12,"name":"投屏宝","pkg":"com.liufeng.broadcastscreen","qiyu_appid":"9f6be7423510fa866bf322613deaf43d","qiyu_robot_id":170049,"qiyu_group_id":264295913,"qiyu_question_id":4488062,"privacies":["1.0.0"],"agreements":["1.0.0"]},{"id":74,"cid":4,"name":"AirPlay Screen Share","pkg":"pc.tpb.en","agreements":["0.0.1"]},{"id":75,"cid":2,"name":"一键远控","pkg":"pc.yjyk","agreements":["0.0.1"]},{"id":76,"cid":8,"name":"图转转","pkg":"com.lingbao.tuzhuanzhuan","privacies":["1.0.0","1.5.0.0","1.5.2.0","1.5.3.0","1.6.1.0"],"agreements":["1.0.0"]},{"id":77,"cid":7,"name":"微商视频助手","pkg":"com.fengsu.videoassistant","privacies":["1.0.0","1.1.1","1.5.0","1.6.2.0","2.2.0"],"agreements":["1.0.0"]},{"id":78,"cid":8,"name":"全能PDF转换助手","pkg":"com.lingbao.almightypdfconvert","privacies":["1.0.0","1.5.1.0","1.8.0.0"],"agreements":["1.0.0"]},{"id":79,"cid":4,"name":"手机清理优化王","pkg":"com.weidu.king.clean","privacies":["1.0.0.3","1.0.0"],"agreements":["1.0.0"]},{"id":80,"cid":13,"name":"扫描计数王","pkg":"com.nnxieli.counter","privacies":["1.0.0.0","1.12.0.0","1.4.1.1","1.5.3.0","1.8.0.0","1.8.1.0"],"agreements":["1.0.0.0"]},{"id":81,"cid":13,"name":"Styler","pkg":"com.xl.styler","privacies":["1.0.0.0","1.5.0.0","2.4.1.0","2.6.0.0","3.5.0.0","3.5.4.0","3.6.0.0","3.7.0.0"],"agreements":["1.0.0.0"]},{"id":82,"cid":4,"name":"Video Lab","pkg":"com.weidu.videolab","privacies":["1.0.0.0","2.0.0.0","2.1.0.0","2.1.2.0"],"agreements":["1.0.0.0","2.0.0.0"]},{"id":83,"cid":4,"name":"布谷鸟配音","pkg":"com.weidu.cuckoodub","privacies":["1.0.0.0","1.10.0.0","1.2.0.0","1.6.0.0","1.7.0.0"],"agreements":["1.0.0.0"]},{"id":84,"cid":4,"name":"掌上翻译官","pkg":"com.weidu.palmtranslator","privacies":["1.0.0"],"agreements":["1.0.0"]},{"id":85,"cid":7,"name":"万能文字识别","pkg":"com.fengsu.almightyocr","privacies":["1.0.0.0","2.3.1.0"],"agreements":["1.0.0.0"]},{"id":91,"cid":7,"name":"微商视频助手","pkg":"com.fs.videoassistant","privacies":["1.0.6"],"agreements":["1.0.0"]},{"id":92,"cid":7,"name":"风速录音转文字","pkg":"com.windspeed.audiototext","privacies":["1.0.0.0","1.1.0.0","1.3.0.0","1.6.0.0"],"agreements":["1.0.0.0"]},{"id":93,"cid":8,"name":"全能PDF转换助手","pkg":"pc.qnpdfzhzs","agreements":["1.0.0"]},{"id":95,"cid":8,"name":"掌上扫描仪","pkg":"com.lingbao.smartscanking","privacies":["1.0.0.0","2.0.0.0"],"agreements":["1.0.0.0"]},{"id":96,"cid":7,"name":"无痕消除笔","pkg":"com.fengsu.easypen","privacies":["1.0.0.0","1.4.0","1.8.0","1.9.0","2.2.0","2.3.0","2.4.0","2.7.2"],"agreements":["1.0.0.0"]},{"id":97,"cid":8,"name":"书单视频助手","pkg":"com.lingbao.booklistvideo","privacies":["1.0.0.0","1.2.0.0","1.6.7","1.6.8"],"agreements":["1.0.0.0"]},{"id":99,"cid":8,"name":"FacePic","pkg":"com.lingbao.facepic","privacies":["1.0.0.0","1.10.1.0","1.6.0.0","1.9.0.0","2.0.0.0","2.0.4.0"],"agreements":["1.0.0.0"]},{"id":100,"cid":7,"name":"智能直播助手","pkg":"com.fengsu.liveassistant","privacies":["1.0.0","1.1.0","1.3.2","1.4.0"],"agreements":["1.0.0"]},{"id":101,"cid":13,"name":"秒转文字识别","pkg":"com.xieli.mzwzsb","privacies":["1.0.0.0","1.9.0.0","1.9.2.0"],"agreements":["1.0.0.0","1.4.1.0"]},{"id":102,"cid":13,"name":"秒转翻译","pkg":"com.nnxieli.palmtranslator","privacies":["1.0.0.0","1.0.3.0","1.0.4.1","1.8.0.0"],"agreements":["1.0.0.0"]},{"id":103,"cid":8,"name":"书单视频助手","pkg":"com.lb.booklistvideo","privacies":["1.0.0.0"],"agreements":["1.0.0.0"]},{"id":104,"cid":8,"name":"FacePic","pkg":"com.lb.facepic","privacies":["1.0.0"],"agreements":["1.0.0"]},{"id":105,"cid":13,"name":"秒转文字转语音","pkg":"com.xieli.quicktexttoaudio","privacies":["1.0.0.0"],"agreements":["1.0.0.0"]},{"id":106,"cid":1,"name":"迅捷图片转换器","pkg":"com.hudun.picconversion","privacies":["3.0.0.0","3.2.0.0","3.3.1.0","3.3.2.0","3.3.5.0"],"agreements":["3.0.0.0"]},{"id":107,"cid":13,"name":"录音识别王","pkg":"com.secondtransition.audiototext","privacies":["1.0.0.0","1.1.0.0","1.6.0.0"],"agreements":["1.0.0.0"]},{"id":108,"cid":7,"name":"一键logo设计","pkg":"pc.yjlogosj","privacies":["1.0.0"],"agreements":["1.0.0"]},{"id":109,"cid":13,"name":"秒转文字识别","pkg":"pc.mzwzsb","agreements":["1.0.0"]},{"id":110,"cid":7,"name":"万能文字识别","pkg":"pc.wnwzsb","agreements":["1.0.0"]},{"id":111,"cid":13,"name":"秒转录音转文字","pkg":"pc.mzlyzwz","agreements":["1.0.0"]},{"id":112,"cid":13,"name":"秒转文字转语音","pkg":"pc.mzwzzyy","agreements":["1.0.0"]},{"id":113,"cid":13,"name":"秒转压缩","pkg":"pc.mzys","agreements":["1.0.0"]},{"id":114,"cid":7,"name":"飞转软件","pkg":"pc.fzrj","agreements":["0.0.1"]},{"id":115,"cid":2,"name":"掌上识别王","pkg":"pc.zssbw","agreements":["1.0.0"]},{"id":116,"cid":13,"name":"秒转配音","pkg":"com.nnxieli.secondtodubbing","privacies":["1.0.0.0"],"agreements":["1.0.0.0"]},{"id":117,"cid":1,"name":"迅捷音频转换器","pkg":"com.hudun.audioconverter","privacies":["1.0.0.0","1.2.0","1.7.0","1.9.0","2.6.0"],"agreements":["1.0.0.0","1.2.0"]},{"id":118,"cid":1,"name":"迅捷视频转换器","pkg":"pc.xjspzhq","privacies":["1.0.0"],"agreements":["1.0.0"]},{"id":119,"cid":8,"name":"一键录音","pkg":"pc.yjly","agreements":["1.0.0"]},{"id":120,"cid":1,"name":"迅捷屏幕录像工具","pkg":"pc.xjpmlxgj","privacies":["1.0.0"],"agreements":["1.0.0"]},{"id":121,"cid":6,"name":"万能录屏大师","pkg":"pc.wnlpds","privacies":["1.0.0"],"agreements":["1.0.0"]},{"id":122,"cid":1,"name":"视频分割大师","pkg":"pc.spfgds","agreements":["1.0.0"]},{"id":123,"cid":1,"name":"迅捷音频转换器","pkg":"pc.xjypzhq","privacies":["1.0.0"],"agreements":["1.0.0"]},{"id":124,"cid":1,"name":"音频转文字精灵","pkg":"pc.ypzwzjl","agreements":["1.0.0"]},{"id":125,"cid":1,"name":"音频剪切助手","pkg":"pc.ypjqzs","agreements":["1.0.0"]},{"id":126,"cid":1,"name":"快投屏","pkg":"pc.ktp","agreements":["1.0.0"]},{"id":127,"cid":1,"name":"迅捷画图","pkg":"pc.xjht","agreements":["1.0.0"]},{"id":128,"cid":13,"name":"秒转音频转换器","pkg":"pc.mzypzhq","agreements":["1.0.0"]},{"id":129,"cid":1,"name":"迅捷视频剪辑软件","pkg":"pc.xjspjjrj","privacies":["1.0.0"],"agreements":["1.0.0"]},{"id":134,"cid":1,"name":"迅捷图片转换器","pkg":"pc.xjtpzhq","privacies":["1.0.0"],"agreements":["1.0.0"]},{"id":135,"cid":4,"name":"图片编辑助手","pkg":"pc.tpbjzs","agreements":["1.0.0"]},{"id":136,"cid":13,"name":"秒转PDF转换器","pkg":"com.xieli.mzpdfconversion","privacies":["1.0.0.0"],"agreements":["1.0.0.0"]},{"id":137,"cid":13,"name":"秒转配音","pkg":"com.nnxl.secondtodubbing","privacies":["1.0.0.0"],"agreements":["1.0.0.0"]},{"id":138,"cid":2,"name":"一键logo设计","pkg":"web.yjlogo","privacies":["1.0.0"],"agreements":["1.0.0"]},{"id":139,"cid":3,"name":"智能翻译官","pkg":"pc.znfyg","privacies":["1.0.0"],"agreements":["1.0.0"]},{"id":140,"cid":13,"name":"秒转文字转语音","pkg":"com.xl.quicktexttoaudio","privacies":["1.0.0.0"],"agreements":["1.0.0.0"]},{"id":141,"cid":1,"name":"迅捷PDF编辑器","pkg":"pc.xjpdfbjq","privacies":["1.0.0"],"agreements":["1.0.0"]},{"id":142,"cid":1,"name":"迅捷OCR文字识别软件","pkg":"pc.xjocrwzsb","privacies":["1.0.0"],"agreements":["1.0.0"]},{"id":143,"cid":1,"name":"二维码生成助手","pkg":"pc.ewmsczs","agreements":["1.0.0"]},{"id":144,"cid":1,"name":"迅捷CAD编辑器","pkg":"pc.xjcadbjq","agreements":["1.0.0"]},{"id":145,"cid":1,"name":"迅捷CAD转换器","pkg":"pc.xjcadzhq","agreements":["1.0.0"]},{"id":146,"cid":1,"name":"清爽视频编辑","pkg":"com.hd.videoedit","privacies":["6.4.4"]},{"id":147,"cid":13,"name":"秒转PDF转换器","pkg":"pc.mzpdfzhq","agreements":["1.0.0"]},{"id":148,"cid":4,"name":"布谷鸟配音","pkg":"pc.bgnpy","agreements":["1.0.0"]},{"id":149,"cid":1,"name":"迅捷PDF编辑器","pkg":"com.hudun.androidpdfeditor","privacies":["1.0.0.0"],"agreements":["1.0.0.0"]},{"id":150,"cid":2,"name":"改图鸭","pkg":"com.lijie.gaituya","privacies":["1.0.0.0"],"agreements":["1.0.0.0"]},{"id":151,"cid":8,"name":"万能图片转换器","pkg":"pc.wntpzhq","agreements":["1.0.0"]},{"id":152,"cid":2,"name":"改图鸭","pkg":"pc.gty","privacies":["1.0.0"],"agreements":["1.0.0"]},{"id":153,"name":"TransVoice","pkg":"app.TransVoice","privacies":["0.0.1","1.4.0.0"]},{"id":154,"name":"AudClipper","pkg":"app.AudClipper","privacies":["0.0.1"]},{"id":155,"name":"Video Eraser","pkg":"app.Video Eraser","privacies":["0.0.1"]},{"id":156,"cid":1,"name":"迅捷OFD转换器","pkg":"pc.xjofdzhq","agreements":["1.0.0"]},{"id":157,"cid":1,"name":"迅捷电子书转换器","pkg":"pc.xjdzszhq","privacies":["1.0.0"],"agreements":["1.0.0"]},{"id":158,"cid":13,"name":"Styler","pkg":"com.xl.styler.yh","agreements":["1.0.0.0"]},{"id":159,"cid":1,"name":"迅捷文字转语音","pkg":"pc.xjwzzyy","privacies":["1.0.0"]},{"id":160,"cid":1,"name":"迅捷压缩","pkg":"pc.xjys","privacies":["1.0.0"]},{"id":161,"cid":1,"name":"录音转文字助手","pkg":"pc.lyzwzzs","privacies":["1.0.0"]},{"id":162,"cid":1,"name":"迅捷PDF转换器","pkg":"pc.xjpdfzhq","privacies":["1.0.0"]},{"id":163,"cid":2,"name":"配音工厂","pkg":"com.lijie.dubbingfactory","privacies":["1.0.0.0","1.0.1.0"],"agreements":["1.0.0.0"]},{"id":164,"cid":2,"name":"万能文档翻译器","pkg":"pc.wnwdfyq","privacies":["1.0.0"],"agreements":["1.0.0"]},{"id":165,"cid":13,"name":"全能翻译官","pkg":"pc.qnfyg","privacies":["1.0.0"],"agreements":["1.0.0"]},{"id":166,"cid":1,"name":"迅捷PDF阅读器","pkg":"pc.xjpdfydq","privacies":["1.0.0"]},{"id":168,"cid":14,"name":"一键AI绘画","pkg":"com.qicaidun.aipaintking","privacies":["1.0.0.0","1.1.0.0"],"agreements":["1.0.0.0"]},{"id":169,"cid":14,"name":"一键AI绘画","pkg":"pc.yijianAIhuihua","privacies":["1.0.0"],"agreements":["1.0.0"]},{"id":170,"cid":6,"name":"AI智绘","pkg":"com.haidong.aipainting","privacies":["1.0.0.0","1.1.0.0","1.2.1.0","1.2.3.0"],"agreements":["1.0.0.0"]},{"id":171,"cid":1,"name":"迅捷CAD","pkg":"web.xunjiecad","privacies":["1.0.0"],"agreements":["1.0.0"]},{"id":172,"cid":14,"name":"翻译相机","pkg":"com.qicaidun.cameratranslator","privacies":["1.0.0.0","1.1.0.0"],"agreements":["1.0.0.0"]},{"id":174,"cid":1,"name":"一键抠图","pkg":"pc.yjkt","agreements":["1.0.0"]},{"id":175,"cid":15,"name":"改图鸭","pkg":"com.fengping.gaituya","privacies":["1.0.0.0","1.1.0.0","1.1.1.0"],"agreements":["1.0.0.0"]},{"id":176,"cid":1,"name":"迅捷拼图助手","pkg":"pc.xjptzs","privacies":["1.0.0"],"agreements":["1.0.0"]},{"id":177,"cid":1,"name":"迅捷图片压缩","pkg":"pc.xjtpys","privacies":["1.0.0"],"agreements":["1.0.0"]},{"id":178,"cid":13,"name":"Styler","pkg":"pc.styler","privacies":["1.0.0"],"agreements":["1.0.0"]},{"id":179,"cid":15,"name":"迅捷录音转文字","pkg":"com.fping.recording2text","privacies":["1.0.0.0","1.2.0.0","1.6.2.0"],"agreements":["1.0.0.0"]},{"id":180,"cid":7,"name":"AI美颜证件照","pkg":"com.fengsu.aicapture","privacies":["1.0.0.0","1.2.0.0"],"agreements":["1.0.0.0"]},{"id":181,"cid":3,"name":"拍试卷","pkg":"com.dongqi.paperscanner","privacies":["1.0.0.0","1.4.1.0"],"agreements":["1.0.0.0"]},{"id":182,"cid":15,"name":"同声翻译器","pkg":"com.fengping.simultaneoustranslator","privacies":["1.0.0.0"],"agreements":["1.0.0.0"]},{"id":183,"cid":6,"name":"图片翻译器","pkg":"com.hidong.picturetranslator","privacies":["1.0.0.0"],"agreements":["1.0.0.0"]},{"id":184,"cid":1,"name":"迅捷一键抠图","pkg":"pc.xjyjkt","privacies":["1.0.0"]},{"id":185,"cid":8,"name":"logo设计工厂","pkg":"com.linbao.logosjgc","privacies":["1.0.0.0"],"agreements":["1.0.0.0"]},{"id":186,"cid":2,"name":"视频转文字助手","pkg":"pc.spzwzzs","privacies":["1.0.0"]},{"id":187,"cid":8,"name":"配音狗","pkg":"com.lingbao.dubbingdog","privacies":["1.0.0.0"],"agreements":["1.0.0.0"]},{"id":188,"cid":6,"name":"AI识别王","pkg":"com.haidong.aiocr","privacies":["1.0.0.0","1.2.0.0"],"agreements":["1.0.0.0"]},{"id":189,"cid":14,"name":"快识别","pkg":"com.qicaidun.quickocr","privacies":["1.0.0.0","1.3.0.0"],"agreements":["1.0.0.0"]},{"id":190,"cid":7,"name":"AI智能助手","pkg":"com.fengsu.aihelper","privacies":["1.0.0.0","1.3.1.0"],"agreements":["1.0.0.0"]},{"id":191,"cid":16,"name":"水印鸭","pkg":"com.chiying.watermarkduck","privacies":["1.0.0.0","1.1.0.0"],"agreements":["1.0.0.0","1.1.0.0"]},{"id":192,"cid":14,"name":"全能文字转语音","pkg":"pc.qnwzzyy","privacies":["1.0.0"],"agreements":["1.0.0"]},{"id":193,"cid":6,"name":"MathTool","pkg":"web.MathTool","agreements":["1.0.0"]},{"id":194,"cid":15,"name":"同声翻译器","pkg":"com.fp.simultaneoustranslator","privacies":["1.0.0.0"],"agreements":["1.0.0.0"]},{"id":195,"cid":7,"name":"万能图片翻译器","pkg":"pc.wntpfyq","privacies":["1.0.0"],"agreements":["1.0.0"]},{"id":196,"cid":14,"name":"图片翻译工具","pkg":"pc.tpfygj","agreements":["1.0.0"]},{"id":197,"cid":15,"name":"FunAI","pkg":"com.fping.funai","privacies":["1.0.0.0","1.5.0.0"],"agreements":["1.0.0.0","1.5.1.1"]},{"id":198,"cid":7,"name":"AI智能助手","pkg":"com.fs.aihelper","privacies":["1.0.0.0"],"agreements":["1.0.0.0"]},{"id":199,"cid":16,"name":"配音狗","pkg":"com.chiying.dubbingdog","privacies":["1.0.0.0"],"agreements":["1.0.0.0"]},{"id":200,"cid":13,"name":"聪明灵犀","pkg":"com.xieli.aigpt","privacies":["1.0.0.0","1.0.3.0"],"agreements":["1.0.0.0","1.0.3.0"]},{"id":201,"cid":6,"name":"AI识别王","pkg":"com.hd.aiocr","privacies":["1.0.0.0","1.2.0.0"],"agreements":["1.0.0.0"]},{"id":202,"cid":15,"name":"小虎录屏","pkg":"com.fengping.tigerRecorder","privacies":["1.0.0.0","1.1.0.0"],"agreements":["1.0.0.0"]},{"id":203,"cid":16,"name":"语音翻译王","pkg":"com.chiying.speechtranslationking","privacies":["1.0.0.0"],"agreements":["1.0.0.0"]},{"id":204,"cid":6,"name":"图片翻译器","pkg":"com.hd.picturetranslator","privacies":["1.0.0.0"],"agreements":["1.0.0.0"]},{"id":205,"cid":16,"name":"AI神笔马良","pkg":"com.chiying.aipaintking","privacies":["1.0.0.0","1.1.0.0"],"agreements":["1.0.0.0"]},{"id":206,"cid":1,"name":"迅捷CAD看图","pkg":"com.hudun.caddrawing","privacies":["1.0.0.0"],"agreements":["1.0.0.0"]},{"id":207,"cid":6,"name":"AI智绘","pkg":"com.hd.aipainting","privacies":["1.0.0.0"],"agreements":["1.0.0.0"]},{"id":208,"cid":13,"name":"迅捷视频工具箱","pkg":"pc.xjspgjx","agreements":["1.0.0.0"]},{"id":210,"cid":3,"name":"Mathtool","pkg":"web.mathtool1","agreements":["1.0.0"]},{"id":211,"cid":1,"name":"Mathtool","pkg":"web.Mathtool2","agreements":["1.0.0"]},{"id":212,"cid":1,"name":"迅捷翻译","pkg":"pc.xjfy","privacies":["1.0.0"],"agreements":["1.0.0"]},{"id":213,"cid":6,"name":"AIChat","pkg":"pc.AIChat","agreements":["1.0.0"]},{"id":214,"cid":15,"name":"AI图片全能王","pkg":"pc.aitpqnw","privacies":["1.0.0"],"agreements":["1.0.0"]},{"id":217,"cid":15,"name":"图片制作工具","pkg":"com.fping.simultaneoustranslator","privacies":["1.0.0.0"],"agreements":["1.0.0.0"]},{"id":219,"cid":15,"name":"音频转换助手","pkg":"pc.ypzhzs","privacies":["1.0.0"],"agreements":["1.0.0"]},{"id":220,"cid":6,"name":"录音转文字工厂","pkg":"pc.lyzwzgc","privacies":["1.0.0"],"agreements":["1.0.0"]},{"id":221,"cid":16,"name":"AI创作家","pkg":"com.chiying.chatpro","privacies":["1.0.0","1.2.0"],"agreements":["1.0.0"]},{"id":223,"cid":1,"name":"迅捷视频工具箱","pkg":"pc.xjspgj","privacies":["1.0.0"],"agreements":["1.0.0"]},{"id":224,"name":"TalkMasterAI","pkg":"app.AIChat","privacies":["0.0.1"]},{"id":225,"cid":16,"name":"AI文字助手","pkg":"com.chiying.aiwordhelper","privacies":["1.0.0","1.1.0"],"agreements":["1.0.0"]},{"id":226,"cid":6,"name":"AI智绘","pkg":"com.haidon.aipainting","privacies":["1.0.0"]},{"id":227,"cid":6,"name":"图片识别全能宝","pkg":"com.hid.picturetranslator","privacies":["1.0.0.0"],"agreements":["1.0.0.0"]},{"id":228,"cid":13,"name":"AI聊天助手","pkg":"pc.xieli.aichat","privacies":["1.0.0"],"agreements":["1.0.0"]},{"id":229,"cid":6,"name":"录音转文字工厂","pkg":"com.haidong.recordToTextFactory","privacies":["1.0.0.0"],"agreements":["1.0.0.0"]},{"id":230,"cid":16,"name":"AI画室","pkg":"web.AIhuazuo","privacies":["1.0.0"],"agreements":["1.0.0"]},{"id":231,"cid":15,"name":"AI写作宝","pkg":"web.AIxiezuobao","agreements":["1.0.0"]},{"id":232,"cid":14,"name":"茄子相机","pkg":"com.qcd.eggplant","privacies":["1.0.0.0","1.1.0.0","1.3.0.0","1.4.0.0","1.6.0.0"],"agreements":["1.0.0.0","1.1.0.0"]},{"id":233,"cid":15,"name":"FunAI","pkg":"com.fp.funai","privacies":["1.0.0.0"]},{"id":234,"cid":6,"name":"AI智绘","pkg":"pc.aizh","privacies":["1.0.0"],"agreements":["1.0.0"]},{"id":235,"cid":6,"name":"AI对话宝","pkg":"web.aidhb","privacies":["1.0.0"],"agreements":["1.0.0"]},{"id":236,"cid":13,"name":"AI聊天助手","pkg":"web.ailtzs","privacies":["1.0.0"],"agreements":["1.0.0"]},{"id":237,"name":"BrainPix","pkg":"app.BrainPix","privacies":["0.0.1"]},{"id":238,"cid":6,"name":"AI绘画生成器","pkg":"pc.AIhhscq","privacies":["1.0.0"],"agreements":["1.0.0"]},{"id":239,"cid":13,"name":"全能翻译官","pkg":"web.qnfyg","agreements":["1.0.0"]},{"id":240,"cid":6,"name":"录音转文字工厂","pkg":"com.haidong.soundtotextfactory","privacies":["1.0.0.0"],"agreements":["1.0.0.0"]},{"id":242,"cid":17,"name":"TransAI","pkg":"com.qidong.TransAI","privacies":["0.0.1"]},{"id":243,"cid":7,"name":"录音识别王","pkg":"pc.lysbw","agreements":["1.0.0"]},{"id":244,"cid":6,"name":"录音转文字工厂","pkg":"com.haid.soundtotextfactory","privacies":["1.0.0.0"],"agreements":["1.0.0.0"]},{"id":245,"cid":15,"name":"同声传译王","pkg":"com.fengpi.simultaneoustranslator","privacies":["1.2.0.0","1.4.1.0","1.5.0.0","1.6.0.0"],"agreements":["1.0.0.0"]},{"id":246,"cid":7,"name":"AI绘画工具箱","pkg":"pc.aihhgjx","agreements":["1.0.0"]},{"id":248,"cid":13,"name":"录音识别王","pkg":"pc.lysbwrj","privacies":["1.0.0"]},{"id":249,"cid":6,"name":"图片翻译器","pkg":"pc.tpdyq","privacies":["1.0.0"],"agreements":["1.0.0"]},{"id":250,"cid":13,"name":"迅捷AI写作","pkg":"pc.xjaixz","agreements":["1.0.0"]},{"id":251,"cid":13,"name":"聪明灵犀","pkg":"pc.cmlx","privacies":["1.0.0"]},{"id":253,"cid":1,"name":"迅捷AI写作","pkg":"pc.xjaix","privacies":["1.0.0"],"agreements":["1.0.0"]},{"id":254,"cid":13,"name":"一键AI绘画","pkg":"pc.yjaihh","agreements":["1.0.0"]},{"id":255,"cid":4,"name":"试卷星","pkg":"com.weidu.paperstar","privacies":["1.0.0.0","1.1.0.0"],"agreements":["1.0.0.0","1.1.0.0"]},{"id":256,"cid":1,"name":"掌上识别王","pkg":"pc.zssbwa","agreements":["1.0.0"]},{"id":258,"cid":6,"name":"美漫相机","pkg":"com.hidong.beautycamera","privacies":["1.0.0.0","1.1.0.0","1.1.1.0"],"agreements":["1.0.0.0","1.1.0.0"]},{"id":259,"cid":14,"name":"智能录音转文字","pkg":"com.qicaidun.voicetotext","privacies":["1.0.0.0"],"agreements":["1.0.0.0"]},{"id":260,"cid":6,"name":"书单视频王","pkg":"com.haidong.booklistvideoking","privacies":["1.0.0.0"],"agreements":["1.0.0.0"]},{"id":261,"cid":16,"name":"AI创作家","pkg":"web.aiczj","agreements":["1.0.0"]},{"id":262,"cid":7,"name":"藏语翻译器","pkg":"pc.zyfyq","privacies":["1.0.0"],"agreements":["1.0.0"]},{"id":263,"cid":4,"name":"PS图片编辑王","pkg":"com.weidu.psimageedit","privacies":["1.0.0.0","1.2.0.0","1.2.0.1"],"agreements":["1.0.0.0","1.2.0.0"]},{"id":264,"cid":2,"name":"拍试卷","pkg":"pc.psj","privacies":["1.0.0"],"agreements":["1.0.0"]},{"id":265,"cid":7,"name":"智能抠图助手","pkg":"pc.znktzs","privacies":["1.0.0"],"agreements":["1.0.0"]},{"id":266,"cid":7,"name":"全能图片转文字","pkg":"pc.qntpzwz","privacies":["1.0.0"],"agreements":["1.0.0"]},{"id":267,"cid":4,"name":"facemagic","pkg":"com.weidu.facemagic","privacies":["1.0.0.0","1.0.1.0","1.0.3.0"],"agreements":["1.0.0.0"]},{"id":269,"cid":1,"name":"万能图片转换器","pkg":"pc.wntpzhqhd","agreements":["1.0.0"]},{"id":270,"cid":14,"name":"拼图工具箱","pkg":"pc.ptgjx","privacies":["1.0.0"],"agreements":["1.0.0"]},{"id":271,"cid":14,"name":"拼图工具箱","pkg":"com.qicaidun.puzzletoolbox","privacies":["1.0.0.0"],"agreements":["1.0.0.0"]},{"id":272,"cid":2,"name":"书单视频编辑器","pkg":"com.shuojie.bookvideoeditor","privacies":["1.0.0.0"],"agreements":["1.0.0.0"]},{"id":273,"cid":1,"name":"迅捷一键录音","pkg":"com.hudun.recordtotext","privacies":["1.0.0.0"],"agreements":["1.0.0.0"]},{"id":275,"cid":6,"name":"万能图片编辑器","pkg":"pc.wntpbjq","privacies":["1.0.0"],"agreements":["1.0.0"]},{"id":276,"cid":15,"name":"掌上拼图","pkg":"com.fengping.palmpuzzle","privacies":["1.0.0.0"],"agreements":["1.0.0.0"]},{"id":277,"cid":8,"name":"语音翻译王","pkg":"web.yyfyw","agreements":["1.0.0"]},{"id":278,"cid":6,"name":"最美证件照相馆","pkg":"com.haidong.photostudio","privacies":["1.0.0.0"],"agreements":["1.0.0.0"]},{"id":279,"cid":1,"name":"迅捷翻译","pkg":"com.hudun.translation","privacies":["1.0.0.0","1.1.0.0"],"agreements":["1.0.0.0","1.1.0.0"]},{"id":280,"cid":13,"name":"手写识别王","pkg":"com.xieli.handwriting","privacies":["1.0.0.0","1.1.0.0"],"agreements":["1.0.0.0","1.1.0.0"]},{"id":281,"cid":1,"name":"互盾统计分析SDK","pkg":"sdk.hdtjfx","privacies":["0.0.1"]},{"id":282,"cid":1,"name":"迅捷抠图","pkg":"com.hudun.quickcutout","privacies":["1.0.0.0","1.1.0.0"],"agreements":["1.0.0.0","1.1.0.0"]},{"id":283,"cid":13,"name":"一键视频转换","pkg":"com.xieli.videoconversion","privacies":["1.0.0.0","1.1.0.0"],"agreements":["1.0.0.0","1.1.0.0"]},{"id":284,"cid":8,"name":"AI抠图魔术师","pkg":"com.lingbao.magician","privacies":["1.0.0.0","1.1.0.0"],"agreements":["1.0.0.0"]},{"id":285,"cid":2,"name":"图片翻译器","pkg":"pc.tpfyqi","agreements":["1.0.0"]},{"id":286,"cid":8,"name":"AI抠图魔术师","pkg":"pc.AIktmss","privacies":["1.0.0"],"agreements":["1.0.0"]},{"id":287,"cid":1,"name":"迅捷试卷王","pkg":"com.hud.translation","privacies":["1.0.0.0"],"agreements":["1.0.0.0"]},{"id":288,"cid":13,"name":"一键视频转换","pkg":"pc.yjspzh","privacies":["1.0.0.0"],"agreements":["1.0.0"]},{"id":289,"cid":1,"name":"迅捷翻译","pkg":"web.xjfy","agreements":["1.0.0"]},{"id":290,"cid":4,"name":"时光剪辑","pkg":"com.weidu.timeclip","privacies":["1.0.0","1.1.0"],"agreements":["1.0.0","1.1.0"]},{"id":291,"cid":14,"name":"视频特效助手","pkg":"com.qicaidun.videoeffect","privacies":["1.0.0"],"agreements":["1.0.0"]},{"id":292,"cid":8,"name":"语音翻译王","pkg":"pc.yyfyw","privacies":["1.0.0"],"agreements":["1.0.0"]},{"id":293,"cid":6,"name":"图片翻译器","pkg":"web.tpfyq","agreements":["1.0.0"]},{"id":294,"cid":15,"name":"同声传译王","pkg":"web.tscyw","agreements":["1.0.0"]},{"id":295,"cid":7,"name":"NicePic","pkg":"com.fengsu.nicepic","privacies":["1.0.0.0","1.1.0.0"],"agreements":["1.0.0.0","1.1.0.0"]},{"id":296,"cid":13,"name":"图片创作家","pkg":"pc.tpczj","privacies":["1.0.0"],"agreements":["1.0.0"]},{"id":297,"cid":2,"name":"万能文档翻译器","pkg":"web.wnwdfyq","agreements":["1.0.0"]},{"id":298,"cid":15,"name":"剪辑魔法师","pkg":"com.fengping.videoclipmagician","privacies":["1.0.0.0","1.1.0.0"],"agreements":["1.0.0.0","1.1.0.0"]},{"id":299,"cid":1,"name":"迅捷音频剪辑软件","pkg":"pc.xjypjjrj","agreements":["1.0.0"]},{"id":300,"cid":4,"name":"藏语翻译王","pkg":"com.weidu.tibetanlanguage","privacies":["1.0.0.0","1.2.0.0"],"agreements":["1.0.0.0","1.2.0.0"]},{"id":301,"cid":1,"name":"迅捷证件照","pkg":"com.hudun.fastidphoto","privacies":["1.0.0.0"],"agreements":["1.0.0.0"]},{"id":302,"cid":16,"name":"MV制作助手","pkg":"web.MVzzzs","privacies":["1.0.0"],"agreements":["1.0.0"]},{"id":303,"cid":8,"name":"书单视频助手","pkg":"pc.sdspzs","privacies":["1.0.0"],"agreements":["1.0.0"]},{"id":304,"cid":15,"name":"视频转换文字","pkg":"com.fengping.spzhwz","privacies":["1.0.0.0","1.1.0.0"],"agreements":["1.0.0.0","1.1.0.0"]},{"id":305,"cid":7,"name":"粤语识别官","pkg":"com.fengsu.cantonese","privacies":["1.0.0.0"],"agreements":["1.0.0.0"]},{"id":306,"cid":4,"name":"一键改图","pkg":"pc.yjgt","privacies":["1.0.0"],"agreements":["1.0.0"]},{"id":307,"cid":15,"name":"剪辑魔法师","pkg":"pc.jjmfs","privacies":["1.0.0"],"agreements":["1.0.0"]},{"id":308,"cid":1,"name":"迅捷抠图","pkg":"pc.xjkt","privacies":["1.0.0"],"agreements":["1.0.0"]},{"id":309,"cid":15,"name":"视频转换文字","pkg":"pc.spzhwz","agreements":["1.0.0"]},{"id":310,"cid":1,"name":"清爽视频编辑","pkg":"pc.qsspbj","privacies":["1.0.0"],"agreements":["1.0.0"]},{"id":311,"cid":2,"name":"魔法抠图大师","pkg":"pc.mfktds","agreements":["1.0.0"]},{"id":312,"cid":13,"name":"图片压缩助手","pkg":"pc.tpyszs","privacies":["1.0.0"],"agreements":["1.0.0"]},{"id":313,"cid":1,"name":"儿童隐私保护声明","pkg":"app.etyybhsm","privacies":["1.0.0"]},{"id":314,"cid":2,"name":"万能试卷宝","pkg":"com.lijie.wanneng","privacies":["1.0.0","1.2.0.0"],"agreements":["1.0.0","1.2.0.0"]},{"id":315,"cid":6,"name":"抠图改图王","pkg":"com.haidong.quickcutout","privacies":["1.0.0.0"],"agreements":["1.0.0.0"]},{"id":317,"cid":6,"name":"证件照工厂","pkg":"com.haidon.photostudio","privacies":["1.0.0.0"],"agreements":["1.0.0.0"]},{"id":318,"cid":8,"name":"智能修复老照片","pkg":"pc.znxflzp","agreements":["1.0.0"]},{"id":319,"cid":3,"name":"海报设计室","pkg":"com.dongqi.posterdesign","privacies":["1.0.0.0","1.1.0.0"],"agreements":["1.0.0.0"]},{"id":320,"cid":7,"name":"智能抠图助手","pkg":"com.fengsu.MattingAssistant","privacies":["1.0.0.0"],"agreements":["1.0.0.0"]},{"id":321,"cid":13,"name":"口袋视频转换器","pkg":"pc.kdspzhq","privacies":["1.0.0"]},{"id":322,"cid":14,"name":"录音转文字全能宝","pkg":"pc.lyzwzqnb","agreements":["1.0.0"]},{"id":323,"cid":3,"name":"海报设计室","pkg":"pc.hbsjs","agreements":["1.0.0"]},{"id":326,"cid":15,"name":"高级消除笔","pkg":"com.fengping.hypereraser","privacies":["1.0.0.0"],"agreements":["1.0.0.0"]},{"id":328,"cid":6,"name":"抠图改图王","pkg":"com.haidong.cutoutedit","privacies":["1.1.0.0"],"agreements":["1.1.0.0"]},{"id":329,"cid":15,"name":"AI写作宝","pkg":"pc.aixzb","privacies":["1.0.0"]},{"id":330,"cid":15,"name":"清爽图片编辑","pkg":"pc.qstpbj","agreements":["1.0.0"]},{"id":331,"cid":13,"name":"时光剪辑","pkg":"com.xieli.timeclip","privacies":["1.0.0"],"agreements":["1.0.0"]},{"id":332,"cid":15,"name":"万能扫描识别","pkg":"com.fengping.wnsbsm","privacies":["1.0.0.0"],"agreements":["1.0.0.0"]},{"id":333,"cid":13,"name":"儿童隐私保护声明","pkg":"app.etysbhsmm","privacies":["1.0.0"]},{"id":334,"cid":1,"name":"图片编辑助手","pkg":"pc.tpbjzss","agreements":["1.0.0"]},{"id":335,"cid":15,"name":"特效魔术师","pkg":"com.fengping.specialmagic","privacies":["1.0.0.0"],"agreements":["1.0.0.0"]},{"id":336,"cid":1,"name":"清爽图片编辑","pkg":"pc.qstpbjq","agreements":["1.0.0"]},{"id":338,"cid":1,"name":"图片创作家","pkg":"pc.tpczjh","agreements":["1.0.0"]},{"id":339,"cid":1,"name":"万能文档翻译器","pkg":"pc.wnwdfyqh","agreements":["1.0.0"]},{"id":340,"cid":1,"name":"改图鸭","pkg":"pc.gtya","agreements":["1.0.0"]},{"id":341,"cid":2,"name":"万能擦除试卷","pkg":"com.lij.wanneng","privacies":["1.0.0.0"],"agreements":["1.0.0.0"]},{"id":342,"cid":1,"name":"全能图片转文字","pkg":"pc.qntpzwzh","agreements":["1.0.0"]},{"id":343,"cid":6,"name":"嗨动PDF编辑器","pkg":"pc.hdpdfbjq","agreements":["1.0.0"]},{"id":344,"cid":1,"name":"万能图片编辑器","pkg":"pc.wntpbjqh","agreements":["1.0.0"]},{"id":345,"cid":1,"name":"AI写作宝","pkg":"web.AIxzb","agreements":["1.0.0"]},{"id":346,"cid":1,"name":"图片翻译器","pkg":"pc.tpfyh","agreements":["1.0.0"]},{"id":347,"cid":1,"name":"拼图工具箱","pkg":"pc.ptgjxh","agreements":["1.0.0"]},{"id":349,"cid":1,"name":"AI抠图魔术师","pkg":"pc.AIktmssh","agreements":["1.0.0"]},{"id":350,"cid":1,"name":"智能抠图助手","pkg":"pc.znktzsh","agreements":["1.0.0"]},{"id":351,"cid":16,"name":"AI创作家","pkg":"pc.AIczj","agreements":["1.0.0"]},{"id":352,"cid":1,"name":"音频转换助手","pkg":"pc.ypzhzsh","agreements":["1.0.0"]},{"id":354,"cid":1,"name":"智能修复老照片","pkg":"pc.znxflzph","agreements":["1.0.0"]},{"id":355,"cid":6,"name":"试卷擦除宝","pkg":"com.hidong.papereraser","privacies":["1.0.0.0"],"agreements":["1.0.0.0"]},{"id":356,"cid":15,"name":"书单视频助手","pkg":"pc.sdspzsh","agreements":["1.0.0"]}]
// eslint-disable-next-line prettier/prettier
var companys=[{"id":1,"name":"互盾","fullname":"上海互盾信息科技有限公司","date":"2013年06月20日","address":"上海市宝山区一二八纪念路968号1205-A132室，联系电话021-56456318","agreement_prefix":"https://api.shoujihuifu.com/wap_pay/privacy/hudun/zh/user-agreement.php","privacy_prefix":"https://api.shoujihuifu.com/wap_pay/privacy/individual/zh/privacy.php"},{"id":2,"name":"砾捷","fullname":"上海砾捷信息科技有限公司","date":"2019年05月15日","address":"上海市宝山区逸仙路1277号18幢3层318-03室，联系电话400-888-2257","agreement_prefix":"https://api.shoujihuifu.com/wap_pay/privacy/shuojie/zh/user-agreement.php","privacy_prefix":"https://api.shoujihuifu.com/wap_pay/privacy/shuojie/zh/privacy.php"},{"id":3,"name":"动起","fullname":"上海动起信息科技有限公司","date":"2017年09月15日","address":"上海市崇明区长兴镇潘园公路1800号3号楼16659室（上海泰和经济发展区），联系电话400-007-6365","agreement_prefix":"https://api.shoujihuifu.com/wap_pay/privacy/dongqi/zh/user-agreement.php","privacy_prefix":"https://api.shoujihuifu.com/wap_pay/privacy/dongqi/zh/privacy.php"},{"id":4,"name":"为都","fullname":"上海为都信息科技有限公司","date":"2017年09月15日","address":"上海市崇明区长兴镇潘园公路1800号3号楼70078室（上海泰和经济发展区）","agreement_prefix":"https://api.shoujihuifu.com/wap_pay/privacy/weidu/zh/user-agreement.php","privacy_prefix":"https://api.shoujihuifu.com/wap_pay/privacy/weidu/zh/privacy.php"},{"id":6,"name":"嗨动","fullname":"成都嗨动信息科技有限公司","date":"2021年03月03日","address":"四川省成都市成华区二仙桥东路15号3栋116号","agreement_prefix":"https://h5.haidongxinxi.com/app/haidong/user.php","privacy_prefix":"https://h5.haidongxinxi.com/app/haidong/privacy.php"},{"id":7,"name":"风速","fullname":"重庆风速信息科技有限公司","date":"2020年11月18日","address":"重庆市九龙坡区谢家湾正街51号11-2号","agreement_prefix":"https://h5.fengsuxinxi.com/app/fengsu/user.php","privacy_prefix":"https://h5.fengsuxinxi.com/app/fengsu/privacy.php"},{"id":8,"name":"灵豹","fullname":"上海灵豹信息科技有限公司","date":"2018年07月18日","address":"上海市宝山区陆翔路111弄6号306室，联系电话021-56456318","agreement_prefix":"https://api.shoujihuifu.com/wap_pay/privacy/lingbao/zh/user-agreement.php","privacy_prefix":"https://api.shoujihuifu.com/wap_pay/privacy/lingbao/zh/privacy.php"},{"id":10,"name":"毛艳艳","fullname":"毛艳艳","date":"2019年08月14日","address":null,"agreement_prefix":"https://api.shoujihuifu.com/wap_pay/privacy/individual/zh/user-agreement.php","privacy_prefix":"https://api.shoujihuifu.com/wap_pay/privacy/individual/zh/privacy.php"},{"id":11,"name":"共飞","fullname":"上海共飞信息科技有限公司","date":"2019年08月15日","address":"上海市崇明区陈家镇层海路888号3号楼1层（上海智慧岛数据产业园）","agreement_prefix":"https://h5.gongfeikeji.com/app/gongfei/user.php","privacy_prefix":"https://h5.gongfeikeji.com/app/gongfei/privacy.php"},{"id":12,"name":"陈刘凤","fullname":"陈刘凤","date":null,"address":null,"agreement_prefix":"https://h5.51xiasheji.com/app/chenliufeng/user.php","privacy_prefix":"https://h5.51xiasheji.com/app/chenliufeng/privacy.php"},{"id":13,"name":"协力","fullname":"南宁协力信息科技有限公司","date":"2021年10月13日","address":"南宁市青秀区东葛路118号南宁青秀区万达广场西1栋3102号","agreement_prefix":"https://h5.nnxieli.com/app/nnxieli/user.php","privacy_prefix":"https://h5.nnxieli.com/app/nnxieli/privacy.php"},{"id":14,"name":"上海七彩盾","fullname":"上海七彩盾信息科技有限公司","date":"2022年09月28日","address":"上海市宝山区一二八纪念路968号1205室","agreement_prefix":"https://api.shoujihuifu.com/wap_pay/privacy/qicaidun/zh/user-agreement.php","privacy_prefix":"https://api.shoujihuifu.com/wap_pay/privacy/qicaidun/zh/privacy.php"},{"id":15,"name":"合肥风平","fullname":"合肥风平网络信息科技有限公司","date":"2022年03月22日","address":"安徽省合肥市蜀山区长江西路与肥西交口之心城A座3309室","agreement_prefix":"https://api.shoujihuifu.com/wap_pay/privacy/fengpingapp/zh/user-agreement.php","privacy_prefix":"https://api.shoujihuifu.com/wap_pay/privacy/fengpingapp/zh/privacy.php"},{"id":16,"name":"汕头持盈","fullname":"汕头市持盈信息科技有限公司","date":"2018年03月19日","address":"汕头市金平区金砂路86号友谊大厦写字楼2403号房之一","agreement_prefix":"https://api.shoujihuifu.com/wap_pay/privacy/chiyingapp/zh/user-agreement.php","privacy_prefix":"https://api.shoujihuifu.com/wap_pay/privacy/chiyingapp/zh/privacy.php"},{"id":17,"name":"workintool","fullname":"workintool","date":null,"address":null,"agreement_prefix":null,"privacy_prefix":"https://www.workintool.com/wap_pay/privacy/hudun/zh/privacy.php"}]
//#endregion manage by program
var soft_name = getQueryString("soft_name") || "";
var package_id = getQueryString("packageId") || "";
var platform = getQueryString("platform");
var version = getQueryString("version");
if (!platform) platform = "";
platform = platform.toLowerCase();
// IOS不带版本号默认使用最新版本 android默认使用最老版本
if (!version) version = platform == "ios" ? "999.0.0" : "0.0.1";
var nameAlias = {
	极速PDF转换器: "迅捷PDF转换器"
};
var app;
if (!app && package_id) {
	for (var i = 0; i < apps.length; i++) {
		var item = apps[i];
		if (item.pkg == package_id) {
			app = item;
			break;
		}
	}
}
if (!app && platform != "ios") {
	var sname = nameAlias[soft_name] || soft_name;
	for (var i = 0; i < apps.length; i++) {
		var item = apps[i];
		if (item.name == sname) {
			app = item;
			break;
		}
	}
}
var company;
if (app) {
	app.privacy_pkg = app.pkg;
	app.agreement_pkg = app.pkg;
	app.privacy_name = app.name;
	app.agreement_name = app.name;
	for (var i = 0; i < companys.length; i++) {
		var row = companys[i];
		if (row.id == app.cid) {
			company = row;
			break;
		}
	}
	while (app.privacy_pid) {
		for (var i = 0; i < apps.length; i++) {
			var row = apps[i];
			if (row.id == app.privacy_pid) {
				app.privacy_pid = row.privacy_pid;
				app.privacy_pkg = row.pkg;
				app.privacy_name = row.name;
				app.privacies = row.privacies;
				break;
			}
		}
	}
	if (app.privacies) {
		var v = "";
		for (var i = 0; i < app.privacies.length; i++) {
			var t = app.privacies[i];
			if (versionCompare(t, version) <= 0 && versionCompare(v, t) <= 0) {
				v = t;
			}
		}
		if (v) {
			app.privacy = "/wap_pay/privacy/hudun/zh/privacy/" + app.privacy_pkg + "/" + v + ".html";
		}
	}
	while (app.agreement_pid) {
		for (var i = 0; i < apps.length; i++) {
			var row = apps[i];
			if (row.id == app.agreement_pid) {
				app.agreement_pid = row.agreement_pid;
				app.agreement_pkg = row.pkg;
				app.agreement_name = row.name;
				app.agreements = row.agreements;
				break;
			}
		}
	}
	if (app.agreements) {
		var v = "";
		for (var i = 0; i < app.agreements.length; i++) {
			var t = app.agreements[i];
			if (versionCompare(t, version) <= 0 && versionCompare(v, t) <= 0) {
				v = t;
			}
		}
		if (v) {
			app.agreement =
				"/wap_pay/privacy/hudun/zh/agreement/" + app.agreement_pkg + "/" + v + ".html";
		}
	}
	console.log(app.privacy);
}
if (!company) {
	// 根据URL确定公司
	if (/hudun/.test(location.pathname)) company = companys[0];
	else if (/shuojie/.test(location.pathname)) company = findCompany("砾捷");
	else if (/dongqi/.test(location.pathname)) company = findCompany("动起");
	else if (/weidu/.test(location.pathname)) company = findCompany("为都");
	else if (/haidong/.test(location.pathname)) company = findCompany("嗨动");
	else if (/fengsu/.test(location.pathname)) company = findCompany("风速");
	else if (/lingbao/.test(location.pathname)) company = findCompany("灵豹");
	else if (/individual/.test(location.pathname)) company = findCompany("毛艳艳");
	else if (/gongfei/.test(location.pathname)) company = findCompany("共飞");
	else if (/nnxieli/.test(location.pathname)) company = findCompany("协力");
	else if (/fengpingapp/.test(location.pathname)) company = findCompany("风平");
	else if (/qicaidun/.test(location.pathname)) company = findCompany("七彩盾");
	else if (/chiyingapp/.test(location.hostname)) company = findCompany("持盈");
	else company = companys[0];
}
function findCompany(name) {
	for (var i = 0; i < companys.length; i++) {
		var company = companys[i];
		if ((company.fullname || company.name || "").indexOf(name) >= 0) {
			return company;
		}
	}
	return companys[0];
}
function versionCompare(a, b) {
	var aa = a.split(".");
	var bb = b.split(".");
	var len = Math.max(aa.length, bb.length);
	for (var i = 0; i < len; i++) {
		var t = (+aa[i] || 0) - (+bb[i] || 0);
		if (t) return t;
	}
	return 0;
}
if (!/video\s*lab/i.test(soft_name)) {
	window.oversea = !/[\u4E00-\u9FA5]/.test(soft_name);
}

document.addEventListener("keydown", function (e) {
	if (e.altKey && e.keyCode == 83) {
		var s = '<!DOCTYPE html><html lang="zh-CN"><head></head>';
		for (var i = 0; i < document.head.children.length; i++) {
			var item = document.head.children[i];
			if (item.tagName === "SCRIPT") continue;
			if (item.tagName === "TITLE") s += `<title>${document.title}</title>`;
			else s += item.outerHTML;
		}
		s += document.body.innerHTML.replace(/<script[^]+/, "");
		s += "</html>";
		var blob = new Blob([s], {type: "text/html;charset=utf-8"});
		var a = document.createElement("a");
		a.href = URL.createObjectURL(blob);
		a.download = location.pathname.split("/").pop();
		a.click();
		e.preventDefault();
	}
});
